Bug 1301293 - /TR not applied to text when rendering file
/TR not applied to text when rendering file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Kaspar [Dee'Kej]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-23 12:41 EST by Pablo Rodríguez
Modified: 2017-07-27 06:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-26 14:41:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wrong rendering with ghostscript-9.16 (21.25 KB, image/png)
2016-01-23 12:41 EST, Pablo Rodríguez
no flags Details
right rendering with ghostscript-9.18 (22.45 KB, image/png)
2016-01-23 12:43 EST, Pablo Rodríguez
no flags Details

  None (edit)
Description Pablo Rodríguez 2016-01-23 12:41:52 EST
Created attachment 1117467 [details]
wrong rendering with ghostscript-9.16

ghostscript-9.16 renders all text in red from page 2 of http://www.pragma-ade.com/general/magazines/mag-0006.pdf (it should render parts in inverted colors).

The bug has been fixed in version 9.18.

The command is "gsx mag-0006.pdf".
Comment 1 Pablo Rodríguez 2016-01-23 12:43 EST
Created attachment 1117468 [details]
right rendering with ghostscript-9.18
Comment 2 Jan Kurik 2016-02-24 09:20:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:50:22 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Pablo Rodríguez 2017-07-26 14:41:32 EDT
The issue has been fixed. Fedora 25 includes Ghostscript version 9.20.

I have just checked that it behaves as expected.

Closing the issue myself.
Comment 5 David Kaspar [Dee'Kej] 2017-07-27 06:48:14 EDT
Thank you, Pablo, for letting me know. Much appreciated! :)

Note You need to log in before you can comment on or make changes to this bug.